PPCGeeks

PPCGeeks (http://forum.ppcgeeks.com/)
-   HTC Touch Pro 2 (http://forum.ppcgeeks.com/htc-touch-pro-2/)
-   -   Sprint Navigation says subscription req'd (http://forum.ppcgeeks.com/htc-touch-pro-2/93739-sprint-navigation-says-subscription-reqd.html)

c0011j 11-21-2009 01:18 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by almonte7 (Post 1349112)
i am going to call again and ask for a tier 2 and if i have to a tier3, but the crazy thing is when i go to accept the charges it doesn't not allow me to. it say invalid purchase or some (20006) error and i tried the new telenav 5.5 it tells me to call 8 telenave 9 or something


There is no Tier 2 or 3. And the sprint rep should be able to speak with telenav.

TheBundo 11-21-2009 04:10 AM

Re: Sprint Navigation says subscription req'd
 
Is it supposed to be included on SERO?

brnail 11-24-2009 07:55 PM

Re: Sprint Navigation says subscription req'd
 
The answer is to call Telenav at 88TELENAV4. I called them and they took care of this problem in about 5 minutes. They said it was a problem with their system receiving notification, which they say was caused by the consumer switching plans or carriers, etc.

Dragon2 11-24-2009 08:05 PM

Re: Sprint Navigation says subscription req'd
 
shoot i got sprints telenav to work on my tmobile tp2.....

krid80 11-30-2009 01:26 AM

Re: Sprint Navigation says subscription req'd
 
I have had a tech trouble ticket open since Nov 10th about this issue.

They said they would compensate me for my inconviences! They better!

pokerpot 11-30-2009 02:32 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by TheBundo (Post 1349382)
Is it supposed to be included on SERO?

Negative, people with sero plans have to pay (old $30 a month sero that is).

JDM_SOHC 02-04-2010 07:34 PM

Re: Sprint Navigation says subscription req'd
 
I had TeleNav expired error but I called and they fixed it, than I went to sign on and it worked but I got an expiration message in my email saying TeleNav expires in like 3 months..?? So I went to use Sprint Nav and it gives me that option to buy, than invalid purchase error.. Anyone have any insight on this?

Mojary 02-04-2010 08:00 PM

Re: Sprint Navigation says subscription req'd
 
link for the thread started a couple of days ago regarding this issue... http://forum.ppcgeeks.com/showthread...44#post1536144

check out how unitmonster was able to get sprint and telenav on a conference call.

JDM_SOHC 02-04-2010 08:14 PM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by Mojary (Post 1541784)
link for the thread started a couple of days ago regarding this issue... http://forum.ppcgeeks.com/showthread...44#post1536144

check out how unitmonster was able to get sprint and telenav on a conference call.

Thanks for that... :)

I just got off the phone with sprint and what I've come to find out is that the Sprint Navigation 2_1_40_0.cab that is clearly listed everywhere to be for the TP2, is not offered by Sprint for the TP2... They use TeleNav_Sprint_PPC_5.5.18.cab as per Sprint Advanced Tech Support... So now I got my navigation working via TeleNav's navigation, but it leaves the unanswered question of why is there a Sprint Navigation going around for the TP2 if it doesn't work for the TP2 and I got no answer on that other than Sprint doesn't offer it or recommend it... But the other question I couldn't figure out an answer to is why did I get an email about 10 minutes after I got off the phone with TeleNav saying that "Your service is extended to 2010-05-04"..?? So I guess it's another call to TeleNav to figure out what's going on here, but I just wanted to note that it's not a MightyRom issue because UnitMonster is having the same problem as me and he's using Caulkins TP2 ROM...

elmerfudpucker 02-04-2010 08:28 PM

Re: Sprint Navigation says subscription req'd
 
The problem is Sprint is contracted for 2.1.4 but is handing out 5.5.18 and Telenav wants to charge for 5.5.18 I had the same nightmare back with my TP. After the sprint rep OTA me a link to 5.5 the first time. I battled both of them 5 different times before they downed me to 2.1. to fix it.


All times are GMT -4. The time now is 04:20 PM.

Powered by vBulletin® ©2000 - 2020, Jelsoft Enterprises Ltd.
©2012 - PPCGeeks.com


Content Relevant URLs by vBSEO 3.6.0